libaaruformat 1.0 Aaru Data Preservation Suite - Format Library

Loading...
Searching...
No Matches
blockhash_ctx Struct Reference

`#include <aaruformat/spamsum.h>`

## Data Fields
uint32_t | h
uint32_t | half_h
uint8_t | digest [64]
uint8_t | half_digest
uint32_t | d_len

## Detailed Description

Definition at line 32 of file spamsum.h.

## Field Documentation

## ◆ d_len

uint32_t blockhash_ctx::d_len

Definition at line 38 of file spamsum.h.

Referenced by aaruf_spamsum_final(), fuzzy_engine_step(), fuzzy_try_fork_blockhash(), and fuzzy_try_reduce_blockhash().

## ◆ digest

uint8_t blockhash_ctx::digest[64]

Definition at line 36 of file spamsum.h.

Referenced by aaruf_spamsum_final(), fuzzy_engine_step(), and fuzzy_try_fork_blockhash().

## ◆ h

uint32_t blockhash_ctx::h

Definition at line 34 of file spamsum.h.

Referenced by aaruf_spamsum_final(), aaruf_spamsum_init(), fuzzy_engine_step(), and fuzzy_try_fork_blockhash().

## ◆ half_digest

uint8_t blockhash_ctx::half_digest

Definition at line 37 of file spamsum.h.

Referenced by aaruf_spamsum_final(), fuzzy_engine_step(), and fuzzy_try_fork_blockhash().

## ◆ half_h

uint32_t blockhash_ctx::half_h

Definition at line 35 of file spamsum.h.

Referenced by aaruf_spamsum_final(), aaruf_spamsum_init(), fuzzy_engine_step(), and fuzzy_try_fork_blockhash().

The documentation for this struct was generated from the following file:

- include/aaruformat/spamsum.h